Subject: Re: bug#60568: [FR] 30.0.50; Help buffers and function bodies for generated functions

From: Gregory Heytings <[email-masked]>
Date: Sat, 07 Jan 2023 14:04:13 +0000

>>> Maybe people will know better if definition-name would be documented.
>>
>> I think the place where it should be documented is the suggested *Help* 
>> screen, with a sentence like "To ensure an accurate identification of 
>> the place where `frobnicate' was defined, the definition-name slot of 
>> the `frobnicate' symbol should be set."
>
> But is it of interest for _users_? I'd rather see it in Elisp manual.
>

It should be documented in the Elisp manual, indeed.  What I said was a 
bit unclear: I meant that a reminder should be displayed in the *Help* 
buffer.  With this, Elisp programmers who are not aware of that subtlety 
would become aware of it.